--- old/usr/src/uts/common/os/privs.awk	2015-12-28 20:02:42.649605849 -0500
+++ new/usr/src/uts/common/os/privs.awk	2015-12-28 20:02:42.749012854 -0500
@@ -107,7 +107,7 @@
 		priv = toupper($3)
 		if (set[key] != "")
 			set[key] = set[key] ";"
-		set[key] = set[key] "\\\n\t\tPRIV_ASSERT((set), " priv ")"
+		set[key] = set[key] "\\\n\t\tPRIV_ADDSET((set), " priv ")"
 	} else {
 		priv = toupper($2);
 	}
@@ -249,6 +249,8 @@
 		    "	char			privs[" maxprivbytes "];\n" \
 		    "	priv_info_t		sysset;\n" \
 		    "	priv_set_t		basicset;\n" \
+                    "	priv_info_t		defset;\n" \
+		    "	priv_set_t		defaultset;\n" \
 		    "} info = {\n" \
 		    "	{ sizeof (priv_impl_info_t), 0, PRIV_NSET, " \
 			"PRIV_SETSIZE, " npriv ",\n" \
@@ -289,8 +291,11 @@
 		}
 		print "\\0\"," > cfile
 
-		print "\t{ PRIV_INFO_BASICPRIVS, sizeof (info) - " \
-			"offsetof(struct _info, sysset)},"  > cfile
+		print "\t{ PRIV_INFO_BASICPRIVS, offsetof (struct _info, defset) - " \
+		    "offsetof(struct _info, sysset)},"  > cfile
+                print "\t{ 0 },\n" > cfile
+                print "\t{ PRIV_INFO_DEFAULTPRIVS, sizeof (info) - " \
+                    "offsetof(struct _info, defset)}" > cfile
 
 		print "};\n" > cfile
 
@@ -312,6 +317,7 @@
 		print "size_t privinfosize = sizeof (info);" > cfile
 		print "char *priv_str = info.privs;" > cfile
 		print "priv_set_t *priv_basic = &info.basicset;" > cfile
+                print "priv_set_t *priv_default = &info.defaultset;" > cfile
 		print "priv_impl_info_t *priv_info = &info.impl_info;" > cfile
 		print "priv_info_names_t *priv_ninfo = " \
 			"(priv_info_names_t *)&info.privtype;" > cfile
@@ -340,6 +346,7 @@
 		print "extern size_t privinfosize;" > privhfile
 		print "extern char *priv_str;" > privhfile
 		print "extern struct priv_set *priv_basic;" > privhfile
+                print "extern struct priv_set *priv_default;" > privhfile
 		print "extern struct priv_impl_info *priv_info;" > privhfile
 		print "extern struct priv_info_names *priv_ninfo;" > privhfile
 
@@ -357,7 +364,7 @@
 
 		# Special privilege categories.
 		for (s in set)
-			print "\n#define\tPRIV_" s "_ASSERT(set)" set[s] \
+			print "\n#define\tPRIV_" s "_ADDSET(set)" set[s] \
 				> privhfile
 
 		print "\n#endif /* _KERNEL */" > privhfile
